kio Library: KSSLSession Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLSession Class Reference

KDE SSL Session Information KDE SSL Session Information. More...

`#include <ksslsession.h>`

List of all members.

## Public Member Functions
| ~KSSLSession ()
QString | toString () const
## Static Public Member Functions
static KSSLSession * | fromString (const QString &s)
## Protected Member Functions
| KSSLSession (const KSSLSession &)
## Protected Attributes
void * | _session
## Friends
class | KSSL

## Detailed Description

KDE SSL Session Information KDE SSL Session Information.

This class contains data about an SSL session. It is just used as a container that is taken from or passed to KSSL objects.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL

Definition at line 42 of file ksslsession.h.

## Constructor & Destructor Documentation

KSSLSession::~KSSLSession | ( |  | ) |

| Destroy this instance. Definition at line 34 of file ksslsession.cc. References KOpenSSLProxy::self(), and KOpenSSLProxy::SSL_SESSION_free().

## Member Function Documentation

QString KSSLSession::toString | ( |  | ) | const

| Convert to a base64 encoded string (so it can be copied safely). Definition at line 44 of file ksslsession.cc. References KCodecs::base64Encode(), KOpenSSLProxy::i2d_SSL_SESSION(), and KOpenSSLProxy::self().

KSSLSession * KSSLSession::fromString | ( | const QString & | s | ) | `[static]`

  | Create as session ID object from a base64 encoded string. Parameters:
  | s | the session id in base64 encoded ASN.1 format
Returns: a KSSLSession object, or 0L on error Definition at line 69 of file ksslsession.cc. References _session, and KCodecs::base64Decode().

The documentation for this class was generated from the following files:

- ksslsession.h
- ksslsession.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:26 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003